#define Analysis_cxx
#include "Analysis.h"
#include "TH1.h"


void Analysis::Loop()
{
  
	TFile * output = new TFile(output_name, "RECREATE");
	output->cd();

	// Declare a new histogram
	TH1 * jet_pT = new TH1F("jet_pT", "jet_pT", 100,0,300);
  	
	//load in the events:
        Long64_t nentries = fChain->GetEntriesFast();
	cout<<"Looping over "<<nentries<<" events"<<endl;

	//loop over every event in the file:
	for (Long64_t jentry=0; jentry<nentries;jentry++){
	       //read in this event:
		ReadEvent(jentry);
		std::cout << "We are reading the event " << std::endl;
        }
}
